On Sep 9, 2010, at 09:41, Roger Pack wrote:
>=20
> On Wed, Sep 8, 2010 at 10:45 AM, James Edward Gray II
> <james / graysoftinc.com> wrote:
>> I guess I'm not understanding.  What are the minuses of Ruby shipping =
with a set of blessed gems?  I can't think of any.
>=20
> The biggest one I can think of currently is that rubygems *doesn't
> support* gems that are targeted at specific runtimes.  For example you
> cannot specify that gem "x" applies only to ruby 1.9 and greater.
> Thus you have to distribute "huge gems" which work for every version
> of ruby, separately, or rename your gem (like ruby-debug19).

Not entirely true.  RubyGems has a required_ruby_version option for =
gems, but the index is not smart enough to hand you a compatible gem =
when you try to install remotely.  This can probably be implemented on =
gemcutter.=